            LIST        P=PIC16F873A
            #INCLUDE    <P16F873A.INC>
            __CONFIG    3F71h

          
            org         0
            goto        START

START       clrf        INTCON                         ;  
            movlw       b'00101000'                    ;   1
            movwf       STATUS                         ;
             
            movlw       b'00000000'                    ;   B 
            movwf       OPTION_REG                     ;
           
            clrf        PIE1                           ;   
            clrf        PIE2                           ;

            movlw       b'00000111'                    ;   
            movwf       ADCON1                         ;   /

            clrf        TRISC                          ;       
            clrf        TRISA                          ;

            movlw       b'00000000'                    ; SPI  
            movwf       SSPSTAT                        ;
                                                                                                            
            movlw       b'00000001'                    ;  RB0   
            movwf       TRISB                          ;

            bcf         STATUS,RP0                     ;    0
            
            clrf        PORTC                          
            movlw       b'00000010'
            movwf       PORTB
 
;   0                  
delay       btfss       PORTB,0                       ;
            goto        STARTSPI1                     ;      
            goto        delay                         ;
;   
STARTSPI1   bcf         PORTB,1                       ; FSYNC LOW
            nop
            nop
            nop
            nop
            nop
            nop
            nop
            movlw       b'00100010'                   ;  SPI            
            movwf       SSPCON

            movlw       b'00000000'
                                                      
            movwf       SSPBUF                        ;
            call        SPIComp                       ;  
            movlw       b'00000010'                   ;
            movwf       SSPBUF                        ;
            call        SPIComp                       ;
 
            bsf         PORTB,1                       ;FSYNC HIGH
     

over        NOP
            GOTO        over



SPIComp     btfss       PIR1,3                      ;
            GOTO        SPIComp                     ;  
            bcf         PIR1,3                      ;
            RETURN                                  ;
            end


            
           
                 
            
            
 

